#ifndef __MY_MATH_H
#define __MY_MATH_H
#include "define.h"
#include "stdbool.h"

uint16_t sqrt_u16(uint32_t value);
uint32_t sqrt_u32(uint64_t value);
int16_t No_MaxMin_Average_short(int16_t *dest,uint32_t size);
int16_t Average_short(int16_t *dest,uint32_t size);
float Average_float(float *dest,uint32_t size);
bool get_MaxMinValue(int16_t *max,int16_t *min,int16_t *value,uint32_t size);
float Integral(float (*f)(float), float a, float b,int n);
float get_float_Variance_Sum(float *value,int len);
float get_float_abs(float value);
int get_MaxFloatArray(float *max,float *array,int count);
int get_int_Variance_Sum(int *value,int len);
int get_ushort_Variance_Sum(uint16_t *value,int len);
int Base62_convertToDec(char c);
char Base62_convertFromDec(int c);

#endif //__MY_MATH_H
